Package: org.codehaus.groovy.runtime.metaclass

## [Java] Class Header

- org.codehaus.groovy.runtime.metaclass.MetaMethodIndex.Header

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `int` | `clsHashCode31` |
    `Entry` | `head` |
    `Class` | `subclass` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MetaMethodIndex.Header (Class cls)`
    `MetaMethodIndex.Header (Class cls, Class subclass)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### public int clsHashCode31

    - #### public Entry head

    - #### public Class subclass

  - ### Constructor Detail

    - #### public MetaMethodIndex.Header(Class cls)

    - #### public MetaMethodIndex.Header(Class cls, Class subclass)